> ## Documentation Index
> Fetch the complete documentation index at: https://developer.onecodex.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve All Panels

GET all Panel instances. Returns a paginated list of Panels.


## OpenAPI

````yaml GET /api/v1/panels
openapi: 3.0.0
info:
  title: One Codex API (v1)
  description: >-
    The One Codex API (v1) -- programmatic access to One Codex's suite of
    microbial genomics data storage, analysis, and query tools.
  version: v1
servers:
  - url: https://app.onecodex.com
security:
  - apiKeyAuth: []
paths:
  /api/v1/panels:
    get:
      summary: GET panels instances
      operationId: get_panels_instances
      parameters:
        - name: page
          in: query
          required: false
          schema:
            type: integer
            default: 1
            format: int32
          description: Page number. Defaults to 1. See Pagination for more details.
        - name: per_page
          in: query
          required: false
          schema:
            type: integer
            default: 50
            format: int32
          description: >-
            Number of requested paginated records. Defaults to 50. See
            Pagination for more details.
        - name: sort
          in: query
          required: false
          schema:
            type: object
            format: string
          description: >-
            Optional Mongo-style JSON sort clause, e.g., `sort={"created_at":
            true}` to sort by created_at (descending)
        - name: where
          in: query
          required: false
          schema:
            type: object
            format: string
          description: >-
            Optional Mongo-style JSON filter clause, e.g., `where={"$uri":
            {"$eq": "/api/v1/samples/0ee172af60e84f61"}}`
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/panels'
components:
  schemas:
    panels:
      type: object
      properties:
        $uri:
          type: string
          pattern: ^/api/v1/panels\/[^/]+$
          example: /api/v1/panels/a1b2c3d4e5f67890
        complete:
          type: boolean
          default: false
        created_at:
          type: string
          format: date-time
          description: >-
            Timestamp for when the object was created on the One Codex platform,
            encoded as a [RFC 3339](https://www.ietf.org/rfc/rfc3339.txt)
            timestamp.
        error_msg:
          type: string
          nullable: true
          maxLength: 255
        job:
          type: object
          description: >-
            A reference to the versioned job underlying the analysis, e.g.,
            `{"$ref": "/api/v1/jobs/d512cb556241440f"}`.
          properties:
            $ref: a6bbb9d9-9f84-475d-af3d-f7491086e970
        job_args:
          type: object
          description: The arguments passed into this analysis (can be `null`).
        sample:
          type: object
          description: >-
            A reference to the sample underlying the analysis, e.g., `{"$ref":
            "/api/v1/sample/0ee172af60e84f61"}`.
          properties:
            $ref: 03f6e2ac-2162-4edf-9f2c-477580ce7b51
        success:
          type: boolean
          default: false
        updated_at:
          type: string
          format: date-time
          description: >-
            Timestamp for when the object was last updated, encoded as a [RFC
            3339](https://www.ietf.org/rfc/rfc3339.txt) timestamp.
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````